require 'spec_helper'

describe IspScoreBatch do

  let (:score) {IspScoreBatch.new}
  it "valid json" do
    score.json_scoring_data = "{}"
    score.save.should be_true
  end

  it "no json" do
    score.save.should be_false
  end

  it "invalid json" do
    score.json_scoring_data = "blurp a durp"
    score.save.should be_false
  end
end
